Package org.apache.activemq.artemis.api.core.management

## Interface BridgeControl

- All Superinterfaces:
    `ActiveMQComponentControl`

      public interface BridgeControl
      extends ActiveMQComponentControl

  A BridgeControl is used to manage a Bridge.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDiscoveryGroupName()` | Returns the name of the discovery group used by this bridge.
    `java.lang.String` | `getFilterString()` | Returns the filter string associated with this bridge.
    `java.lang.String` | `getForwardingAddress()` | Returns the address this bridge will forward messages to.
    `long` | `getMaxRetryInterval()` | Returns the max retry interval used by this bridge.
    `long` | `getMessagesAcknowledged()` | The messagesAcknowledged counter is the number of messages actually received by the remote broker.
    `long` | `getMessagesPendingAcknowledgement()` | The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetrics()` | The bridge metrics for this bridge The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker.
    `java.lang.String` | `getName()` | Returns the name of this bridge
    `java.lang.String` | `getQueueName()` | Returns the name of the queue this bridge is consuming messages from.
    `int` | `getReconnectAttempts()` | Returns the number of reconnection attempts used by this bridge.
    `long` | `getRetryInterval()` | Returns the retry interval used by this bridge.
    `double` | `getRetryIntervalMultiplier()` | Returns the retry interval multiplier used by this bridge.
    `java.lang.String[]` | `getStaticConnectors()` | Returns any list of static connectors used by this bridge
    `java.lang.String` | `getTransformerClassName()` | Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this bridge.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getTransformerProperties()` | Returns a map of the properties configured for the transformer.
    `java.lang.String` | `getTransformerPropertiesAsJSON()` | Returns a map of the properties configured for the transformer.
    `boolean` | `isHA()` | Returns whether this bridge is using high availability
    `boolean` | `isUseDuplicateDetection()` | Returns whether this bridge is using duplicate detection.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this bridge

    - #### getQueueName

          java.lang.String getQueueName()

      Returns the name of the queue this bridge is consuming messages from.

    - #### getForwardingAddress

          java.lang.String getForwardingAddress()

      Returns the address this bridge will forward messages to.

    - #### getFilterString

          java.lang.String getFilterString()

      Returns the filter string associated with this bridge.

    - #### getTransformerClassName

          java.lang.String getTransformerClassName()

      Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this bridge.

    - #### getTransformerPropertiesAsJSON

          java.lang.String getTransformerPropertiesAsJSON()
                                                   throws java.lang.Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `java.lang.Exception`

    - #### getTransformerProperties

          java.util.Map<java.lang.String,​java.lang.String> getTransformerProperties()
                                                                                   throws java.lang.Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `java.lang.Exception`

    - #### getStaticConnectors

          java.lang.String[] getStaticConnectors()
                                          throws java.lang.Exception

      Returns any list of static connectors used by this bridge
      Throws:
        `java.lang.Exception`

    - #### getDiscoveryGroupName

          java.lang.String getDiscoveryGroupName()

      Returns the name of the discovery group used by this bridge.

    - #### getRetryInterval

          long getRetryInterval()

      Returns the retry interval used by this bridge.

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

      Returns the retry interval multiplier used by this bridge.

    - #### getMaxRetryInterval

          long getMaxRetryInterval()

      Returns the max retry interval used by this bridge.

    - #### getReconnectAttempts

          int getReconnectAttempts()

      Returns the number of reconnection attempts used by this bridge.

    - #### isUseDuplicateDetection

          boolean isUseDuplicateDetection()

      Returns whether this bridge is using duplicate detection.

    - #### isHA

          boolean isHA()

      Returns whether this bridge is using high availability

    - #### getMessagesPendingAcknowledgement

          long getMessagesPendingAcknowledgement()

      The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker. This is a cumulative total and the number of outstanding pending messages can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMessagesAcknowledged

          long getMessagesAcknowledged()

      The messagesAcknowledged counter is the number of messages actually received by the remote broker. This is a cumulative total and the number of outstanding pending messages can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMetrics

          java.util.Map<java.lang.String,​java.lang.Object> getMetrics()

      The bridge metrics for this bridge The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker. The messagesAcknowledged counter is the number of messages actually received by the remote broker.